---
lang: en
title: 'API docs: mock-oauth2-provider.myuser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/fixtures/mock-oauth2-provider
permalink: /doc/en/lb4/apidocs.mock-oauth2-provider.myuser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/mock-oauth2-provider](./mock-oauth2-provider.md) &gt; [MyUser](./mock-oauth2-provider.myuser.md)

## MyUser interface

A simple User model

**Signature:**

```typescript
export interface MyUser 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[email?](./mock-oauth2-provider.myuser.email.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[firstName?](./mock-oauth2-provider.myuser.firstname.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[id](./mock-oauth2-provider.myuser.id.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[lastName?](./mock-oauth2-provider.myuser.lastname.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[password?](./mock-oauth2-provider.myuser.password.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[signingKey](./mock-oauth2-provider.myuser.signingkey.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[token?](./mock-oauth2-provider.myuser.token.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[username?](./mock-oauth2-provider.myuser.username.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

